// pages/device/device.js
const __staticUrl = require('../../config/env.js').static_url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tabList:[
        {
            img:(__staticUrl + '/device_icon1.png'),
            name:"触发任务"
        },
        {
            img:(__staticUrl + '/device_icon2.png'),
            name:"定制任务"
        },
        {
            img:(__staticUrl + '/device_icon3.png'),
            name:"设备分享"
        },
        {
            img:(__staticUrl + '/device_icon4.png'),
            name:"我的场景"
        },
    ]
  },


  jump(){
      this.NotOpen()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  NotOpen(){
    wx.showModal({
      title: '提示',
      content: '此功能暂未开通！',
      showCancel:false,
      complete: (res) => {
        if (res.cancel) {
          
        }
      }
    })
},

  headerAddEquipmentClick() {

    // this.NotOpen()
    // return
    wx.navigateTo({
      url: '/packages/equipment/addEquipment/index',
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})